

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3
#----do not edit between the dashed lines----------^^^^-----------------------------

### EDIT the fetch line (change 6N6Y to your pdb entry)
### this will create object R_state_1 with your protein(s)
fetch 4pfk, R_state_a

create R_state_b, R_state_a
fetch 6pfk, temp_T
cealign temp_T and chain B, R_state_a
cealign temp_T and chain C, R_state_b

alter (R_state_b and chain A), chain='B'

create R_state_1, R_state_a or R_state_b
delete R_state_a
delete R_state_b
delete temp_T

create R_state_2, R_state_1

### show R_state_1 as a ribbon diagram and color it
### by secondary structure
hide everything, R_state_1
show cartoon, R_state_1
color red, ss h and R_state_1
color raspberry, ss s and R_state_1
color salmon, ss l+'' and R_state_1

### DO NOT EDIT
### show R_state_2 as sticks and color it
### by atom type
hide everything, R_state_2
show sticks, R_state_2
color red, name O* and R_state_2
color salmon, name C* and R_state_2
color blue, name N* and R_state_2
color yellow, name P* and R_state_2
color yellow, name S* and R_state_2

create FP6_space, resn F6P or (resn ADP and resi 324) or (resn Mg and resi 325)

### DO NOT EDIT
### use the spacefill representation for FP6_space
hide everything, FP6_space
show spheres, FP6_space
color red, name O* and FP6_space
color salmon, name C* and FP6_space
color blue, name N* and FP6_space
color yellow, name P* and FP6_space
color yellow, name S* and FP6_space

### DO NOT EDIT
### create another object (FP6_stick) with your ligand
### use the stick representation for FP6_stick
create FP6_stick, FP6_space
hide everything, FP6_stick
show sticks, FP6_stick
h_add FP6_stick

### DO NOT EDIT
### this command will create an object (R_pocket_space) containing
### the amino acids that are in contact with your 
### ligand and will show it in spacefill
create R_pocket_space, byres(R_state_1 within 4 of FP6_space)
remove (R_pocket_space within .1 of FP6_space)
color red, name O* and R_pocket_space
color pink, name C* and R_pocket_space
color blue, name N* and R_pocket_space
color yellow, name P* and R_pocket_space
color yellow, name S* and R_pocket_space
hide everything, R_pocket_space
show spheres, R_pocket_space

### DO NOT EDIT
### this command will create a second object (R_pocket_stick) containing
### the amino acids that are in contact with your 
### ligand and will show it in stick
create R_pocket_stick, R_pocket_space
hide everything, R_pocket_stick
show sticks, R_pocket_stick
h_add R_pocket_stick

### DO NOT EDIT
###  draw hydrogen bonds betweeh FP6_stick and R_pocket_stick
distance R_hbond1, (FP6_stick and (name N* or name O*)), (R_pocket_stick and name H*), 2.3
distance R_hbond1, (FP6_stick and name H*), (R_pocket_stick and (name N* or name O*)), 2.3
# set the font of object dist_object
set label_font_id=7, R_hbond1
# set the dash width
set dash_width=4.5, R_hbond1
# set the color
color black, R_hbond1

create ADP_space, resn ADP and resi 326
color salmon, name O* and ADP_space
color pink, name C* and ADP_space
color blue, name N* and ADP_space
color yellow, name P* and ADP_space
color yellow, name S* and ADP_space
hide everything, ADP_space
show spheres, ADP_space
h_add ADP_space

create ADP_stick, ADP_space
color salmon, name O* and ADP_stick
color pink, name C* and ADP_stick
color blue, name N* and ADP_stick
color yellow, name P* and ADP_stick
color yellow, name S* and ADP_stick
hide everything, ADP_stick
show spheres, ADP_stick
h_add ADP_stick

### DO NOT EDIT
### this command will create an object (R_pocket_space) containing
### the amino acids that are in contact with your 
### ligand and will show it in spacefill
create R_ADP_pocket_space, byres(R_state_1 within 4 of ADP_space)
remove (R_pocket_space within .1 of ADP_space)
color red, name O* and R_ADP_pocket_space
color cyan, name C* and R_ADP_pocket_space
color blue, name N* and R_ADP_pocket_space
color yellow, name P* and R_ADP_pocket_space
color yellow, name S* and R_ADP_pocket_space
hide everything, R_ADP_pocket_space
show spheres, R_ADP_pocket_space



#-------------------------T_state-------------------

fetch 6pfk, T_state_1
remove (chain A or chain D) and T_state_1

create T_state_2, T_state_1

hide everything, T_state_1
show cartoon, T_state_1
color blue, ss h and T_state_1
color marine, ss s and T_state_1
color lightblue, ss l+'' and T_state_1

### DO NOT EDIT
### show T_state_2 as sticks and color it
### by atom type
hide everything, T_state_2
show sticks, T_state_2
color red, name O* and T_state_2
color wheat, name C* and T_state_2
color blue, name N* and T_state_2
color yellow, name P* and T_state_2
color yellow, name S* and T_state_2

create PGA_space, resn PGA

### DO NOT EDIT
### use the spacefill representation for PGA_space
hide everything, PGA_space
show spheres, PGA_space
color red, name O* and PGA_space
color magenta, name C* and PGA_space
color blue, name N* and PGA_space
color yellow, name P* and PGA_space
color yellow, name S* and PGA_space

### DO NOT EDIT
### create another object (PGA_stick) with your ligand
### use the stick representation for PGA_stick
create PGA_stick, PGA_space
hide everything, PGA_stick
show sticks, PGA_stick
h_add PGA_stick

### DO NOT EDIT
### this command will create an object (T_pocket_space) containing
### the amino acids that are in contact with your 
### ligand and will show it in spacefill
create T_pocket_space, byres(T_state_1 within 4 of PGA_space)
remove (T_pocket_space within .1 of PGA_space)
color red, name O* and T_pocket_space
color cyan, name C* and T_pocket_space
color blue, name N* and T_pocket_space
color yellow, name P* and T_pocket_space
color yellow, name S* and T_pocket_space
hide everything, T_pocket_space
show spheres, T_pocket_space

### DO NOT EDIT
### this command will create a second object (T_pocket_stick) containing
### the amino acids that are in contact with your 
### ligand and will show it in stick
create T_pocket_stick, T_pocket_space
hide everything, T_pocket_stick
show sticks, T_pocket_stick
h_add T_pocket_stick

### DO NOT EDIT
###  draw hydrogen bonds betweeh PGA_stick and T_pocket_stick
distance T_hbond1, (PGA_stick and (name N* or name O*)), (T_pocket_stick and name H*), 2.3
distance T_hbond1, (PGA_stick and name H*), (T_pocket_stick and (name N* or name O*)), 2.3
# set the font of object dist_object
set label_font_id=7, T_hbond1
# set the dash width
set dash_width=4.5, T_hbond1
# set the color
color black, T_hbond1


create arg_move, resi 161-162
hide everything, arg_move
show stick, arg_move
color red, name O* and arg_move
color blue, name N* and arg_move
color salmon, name C* and chain A and arg_move
color lightblue, name C* and chain B and arg_move


### set the global view
### type get_view to get this matrix
set_view (\
     0.807716966,    0.588640690,    0.032944448,\
    -0.589275777,    0.804314613,    0.076333523,\
     0.018439205,   -0.081070647,    0.996531427,\
     0.000000000,    0.000000000, -311.385681152,\
    11.632903099,   14.691905975,   35.246612549,\
   262.971374512,  359.799987793,  -20.000000000 )
### cut above here and paste into script ###


disable all
enable R_state_1


